﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;
using Syncfusion.SfSchedule.XForms;

namespace ScheduleSample
{
    public class SchedulerViewModel : INotifyPropertyChanged
    {

        public SchedulerViewModel()
        {
            var source = new ScheduleAppointmentCollection();
            source.Add(new ScheduleAppointment()
            {
                StartTime = DateTime.Now,
                EndTime = DateTime.Now,
                IsAllDay = true,
                Subject = "Test",
                Location = "Test",
                MinHeight = 15,
                Color = Color.Yellow
            });
            source.Add(new ScheduleAppointment()
            {
                StartTime = DateTime.Now,
                EndTime = DateTime.Now,
                IsAllDay = true,
                Subject = "Test",
                Location = "Test",
                MinHeight = 15,
                Color = Color.Blue
            });

            AppointmentSource = source;

        }

        public ScheduleAppointmentCollection AppointmentSource { get; set; }
        /// <summary>
        /// Occurs when property changed.
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        /// Invoke method when property changed.
        /// </summary>
        /// <param name="propertyName">property name</param>
        private void RaiseOnPropertyChanged(string propertyName)
        {
            this.PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
